import Vue from 'vue'
import App from './App'
import PortalVue from 'portal-vue'
import './uni.promisify.adaptor'
import uView from "uview-ui";
import mixin from './mixin'

Vue.mixin(mixin)

Vue.use(uView);
Vue.use(PortalVue)
import {http,getFullUrl} from '@/api/index.js'
import store from './store/index.js'
Vue.config.productionTip = false
import ynSelectInputList from "@/components/yn-select-input-list/yn-select-input-list.vue"
Vue.component('ynSelectInputList', ynSelectInputList)
Vue.prototype.$http = http
Vue.prototype.$getFullUrl = getFullUrl
App.mpType = 'app'
import permission from '@/directive/permission/index.js'

Vue.directive('auth', permission)



const app = new Vue({
  store,
  ...App
})
app.$mount()

